---
title: "Retrieve SSO redirect into the TMS"
slug: "retrieve-sso-redirect-into-the-tms"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve SSO redirect into the TMS

Get/GetSsoRedirectUrl

Allows you to retrieve a URL for redirecting a user into the the TMS for single sign-on. This allows you to land the student in the TMS without them having to login. Note: the URL is valid for only 20 seconds. The intention is for you to obtain the URL on demand when the user is to be redirected into the TMS from your system.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parametersuserIdinteger (int32) Required

The user's ID

Example57383
destinationUrlstring

An optional URL that you want the user to land on within the LMS. For instance, if you wanted to land the user on the class schedule, you could pass a value of "/Class/Schedule." Use of this feature requires some knowledge of the LMS URL schema. In general, you can figure out how URLs work by observing them while navigating within the TMS.

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='a805e091-2498-44bd-8b05-741f84aa75ef'>application/json</option>
</select>object  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

Urlstring    

The URL the user should be redirected to. The URL is valid for 20 seconds.

Examplehttp://[root-url]/Service/ExternalLogon?authenticationKey=84a11167-fc8f-43ba-86ae-4f89c0c6160f
